# xarray.Variable.chunk

`Variable.``chunk`(chunks=None, name=None, lock=False)

  Coerce this array’s data into a dask arrays with the given chunks.

  If this variable is a non-dask array, it will be converted to dask array. If it’s a dask array, it will be rechunked to the given chunk sizes.

  If neither chunks is not provided for one or more dimensions, chunk sizes along that dimension will not be updated; non-dask arrays will be converted into dask arrays with a single block.

  Parameters:

  - chunks (int, tuple or dict, optional) – Chunk sizes along each dimension, e.g., `5`, `(5, 5)` or `{'x': 5, 'y': 5}`.
  - name (str, optional) – Used to generate the name for this array in the internal dask graph. Does not need not be unique.
  - lock (optional) – Passed on to `dask.array.from_array()`, if the array is not already as dask array.

  Returns: | chunked
  Return type: | xarray.Variable